package de.hendriklipka.pdfconv.gui;

import javax.swing.*;

public abstract class BaseWizardPage implements WizardPage
{
    protected JPanel _panel=null;
    protected LogicHandler _logicHandler=null;
    protected boolean _enabled=true;

    public JPanel getPanel()
    {
        if (null==_panel)
            buildPanel();
        return _panel;
    }

    protected abstract void buildPanel();

    public boolean isEnabled()
    {
        return _enabled;
    }

    public void setEnabled(boolean enabled)
    {
        _enabled=enabled;
    }

    public void setLogicHandler(LogicHandler handler)
    {
        _logicHandler=handler;
    }
}
